ISPConfig 3.1 replace php 5.6 with php 7.0

Discussion in 'General' started by CK13, Nov 4, 2016.

  1. CK13

    CK13 New Member

    I want to change from php 5.6 to php 7.0 and i found this tutorial.
    If i follow that tutorial what extra steps do i have to make it work with ispconfig?
    Is updating the php settings (under "Server Config > web") with the new ones enough?

    The tutorial explains how to:
    1. Remove old PHP 5.6
    2. Configure dotdeb repository for PHP 7
    3. Install PHP 7
    4. Reconfigure web server
    5. Restart web server
     
  2. Jesse Norell

    Jesse Norell Active Member

    Just add php7 as an additional php version, and you're likely to have less problems. You can then edit your limit template(s) so php7 is the only version available to clients if that's what you want.
     
  3. CK13

    CK13 New Member

    Managed to add php 7 as an additional version following this tutorial (just that i used php-7.0.12 instead).
    But i can only use it as php fast-cgi, if i choose php-fpm i get a server error.
     
  4. Jesse Norell

    Jesse Norell Active Member

    It works when configured properly; run back through the tutorial and check everything.
     

Share This Page